get
https://api.thelookoutapp.com/api/{company_id}/data_exports/
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Data exports have the following statuses:
pending: data export was requestedprocessing: data export is currently under wayfinalised: data export successfully finished and is available to downloadfile_purged: data export file was deleted (we keep it saved and encrypted for 30 days)failed: data export failed to generatecancelled: data export was cancelled on the UI and won't be generated
To programmatically download the file through the API, we generate a publicly accessible URL, valid for 2 minutes. This URL is available when the status is finalised and it can be found navigating the payload to data.file.file_url.
The file_urlwill return a 302 with Location header with another URL. The recommendation is to follow the redirect automatically, and the file will be downloaded. If the redirect isn't followed automatically, you'll need to do another GET to the LocationURL provided.
